/* TOP HEADER INFO */

.topHeader {
    position:fixed;
    top:0;
    width: 100%;
    background-color: rgb(var(--base-rgb));
    color:#fff;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding:0.5rem 2rem ;
    height: 40px;
    font-size: clamp(1rem, 0.899rem + 0.323vh, 1.625rem);
    z-index: 1030;
}

.topHeader ul {
    display: flex;
    flex-direction: row;
    font-weight: 500;
    overflow: hidden;
}

.topHeader ul li {

    padding-left: 2rem;
    position: relative;
    display: flex;
    align-items: center;
    flex: 0 0 auto;
}

.topHeader .contacts a {
    color:rgb(var(--acc-rgb));
}
.topHeader .contacts a:hover {
    text-decoration: underline;
}

@media (max-width: 1024px) {
    .topHeader .contacts {
        display: none;
    }
    .topHeader {
        padding: 0.5rem 0;
        justify-content: center;
    }

}

.topHeader ul li:first-child {
    margin-left: 0;
    padding-left: 0;
}

.topHeader ul li a {
	color: #ffffff;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 10px;
}

.topHeader ul li img {
    height:14px;
}

.topHeader li.is-hidden {
    display: none !important;
}

/* MAIN HEADER */

.mainHeader {
    z-index: 1030;
    top: 0;
    height: 80px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    width: 100%;
    padding: 0 2rem;
    box-shadow: rgba(33, 35, 38, 0.1) 0px 10px 10px -10px;
    flex-direction: row;
    flex-wrap: nowrap;
}

/* MAIN HEADER - brand */

.mainBrand {
    position: absolute;
    left:2rem;
}

.mainBrand img {
    height: 30px;
    width: auto;
}

.mainBrand.center-logo {
	position:relative;
	left:unset;
}

/* MAIN HEADER - mega menu */

.mainMenu {
    position:absolute;
}

.megaMenu {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.megaMenu li span,
.megaMenu li a {
    display: flex;
    padding: 0.3rem 0.6rem;
    margin: 0.5rem;
    text-decoration: none;
    color:rgb(var(--base-rgb));
    cursor:pointer;
}
/*
.mainMenu .closeMenu {
    right: 0;
    background-color: rgb(var(--acc-rgb));
    color: rgb(var(--base-rgb));
    z-index: 999;
    top: 0;
    padding: 0 1rem;
    border-radius: 0;
    width: 100%;
    height: 40px;
    font-size: var(--font-size-12);
    display: none;
    justify-content: center;
    align-items: center;
    position: absolute;
    font-weight: 500;
}

.mainMenu .closeMenu i {
    font-size: 1rem;
    display: inline-block;
    margin-left: 0.8rem;
    margin-bottom: -2px;
    transition: var(--easy);
}*/


.mainMenu .closeMenu {
    right: 0;
    background-color: transparent;
    color: rgb(var(--base-rgb));
    z-index: 999;
    top: 0;
    padding: 0 1rem;
    border-radius: 0;
    width: 100%;
    height: 40px;
    font-size: var(--font-size-12);
    display: none;
    justify-content: center;
    align-items: center;
    position: absolute;
    font-weight: 500;
}

.mainMenu .closeMenu span {
    display: none;
}

.mainMenu .closeMenu i {
    font-size: 1rem;
    display: inline-block;
    margin-left: 0.8rem;
    margin-bottom: -2px;
    transition: var(--easy);
}

/* MAIN HEADER - extra */

.mainExtra {
    position: absolute;
    right: 2rem;
}

.extraMenu  {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--font-size-14);
}

.extraMenu li.login {
    font-size: var(--font-size-15);
}

.extraMenu li {
    padding:0 0.8rem;
    position: relative;

}

.extraMenu li.mobMenuBtn {
    display: none;
}

.extraMenu li i {
 cursor: pointer;
}

.extraMenu span:not(.miniBasket span) {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    height: 22px;
    width: 22px;
    background-color: rgb(var(--acc-rgb));
    font-size: var(--font-size-075);
    font-weight: 500;
    border-radius: 50%;
    left:0;
    bottom:-8px;
	padding-top: 3px;
}

#searchBox {
	padding:2rem;
	box-shadow: rgba(33, 35, 38, 0.1) 0px 10px 10px -10px;
}

#searchBox form {
	height:3rem;
}

#searchBox form input.aws-search-field {
	font-size: var(--font-size-12);
	color:rgb(var(--text));
	border:1px solid rgb(var(--base-rgb));
	padding:1rem;
}

#searchBox form input.aws-search-field::placeholder {
	color:rgb(var(--text));
}

#searchBox form .aws-search-btn {
	background:rgb(var(--base-rgb));
	border:1px solid rgb(var(--base-rgb));
	transition: var(--easy);
	width:50px;
}

#searchBox .aws-search-btn_icon svg {
    display: none;
}

#searchBox .aws-search-btn_icon {
    display: inline-block;
    font-weight: 400;
    font-style: normal;
    font-size: var(--font-size-14);
    color: #ffffff;
    position: relative;
	transition: var(--easy);
	width:50px;
}
#searchBox .aws-search-btn_icon::before {
    content: "\F52A";
	    font-family: bootstrap-icons !important;
}


#searchBox .aws-container .aws-search-form .aws-search-btn i {
	transition: var(--easy);
}

#searchBox form .aws-search-btn:hover {
	background:rgb(var(--acc-rgb));
	border:1px solid rgb(var(--acc-rgb));
}

#searchBox form .aws-search-btn:hover .aws-search-btn_icon {
	color:rgb(var(--text));
}

#searchBox .aws-container .aws-search-form .aws-search-clear span {
	color:rgb(var(--text));
}

.aws-search-result {
	border:none;

}

.aws-search-result ul {
	border:1px solid rgb(var(--base-rgb));
}

.aws-search-result ul li {
	border-bottom:1px solid rgb(var(--gray-rgb));
}

.aws-search-result .aws_result_item.hovered, .aws-search-result .aws_result_item:hover, .aws-search-result .aws_search_more a:hover {
	background: rgb(var(--light-rgb));
}

.aws-search-result .aws_result_tax_product_cat {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
}

.aws-search-result .aws_result_tax_product_cat:before {
	content:"\F3D7";
	font-family:bootstrap-icons;
	font-size:1.25rem;
	padding-left:1rem;
	color:#EEB426;
}

.aws-search-result .aws_result_link {
	padding:1rem;
}

.aws-search-result .aws_result_content {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
    width: 100%;
    justify-content: space-between;
	flex-wrap: nowrap;
}

.aws-search-result .aws_result_item .aws_result_content .aws_result_title, .aws-search-result .aws_result_item .aws_result_content .aws_result_price {
	color:rgb(var(--text));
	font-size:clamp(1.2rem, 0.899rem + 0.323vh, 1.625rem);
}

.aws-search-result .aws_result_link {
	display:flex;
	justify-content: flex-start;
    align-items: center;
    flex-wrap: nowrap;
}

.aws-search-result ul li.aws_result_item.aws_search_more a {
	color:#ffffff;
	font-size:clamp(1.2rem, 0.899rem + 0.323vh, 1.625rem);
	line-height:1;
	background-color:rgb(var(--base-rgb));
	padding:1rem;
}

.cart {
  position: relative;
}

#popup1 {
  position: absolute;
  top: 130%;
  right: 0;
  width: 450px;
  background: #fff;
  border: 1px solid rgb(var(--gray-rgb));
  box-shadow: 0 4px 12px rgba(0,0,0,0.15);
  display: none;
  z-index: 999;
  padding: 2rem;
  overflow-y: hidden;
}




@media (min-width: 992px) {
  #popup1.show {
  display: block !important;
}
}

@media(max-width: 640px) {

    body {
        overflow-x: hidden;
    }


    .prodListWrap {
        padding:0 !important;
    }

    .prodListWrap .listSide {
       width: 100%;
        padding:0;
    }

}

@media (max-width:991px) {
	
	#popup.show {
		display:none !important;
	}
	
	    .mainMenu .closeMenu {
        display: flex;
        border:none;
        width:auto;
        height: 50px;
    }

    .mainMenu {

        position: absolute;
        top:-40px;
        left:-102vw;
        display: flex;
        height: 100vh;
        width:100%;
        overflow-x: scroll;
        z-index: 6000;
        background: #fff;
        transition: var(--easy);
       /* padding-top:40px;*/
    }

    .mainMenu.activeMob {
        left:0;
    }

    .megaMenu {
        flex-direction: column;
        justify-content: flex-start;
    }

    .megaMenu li {
        display: inline-flex;
        width:100%;
        /*border-bottom: 1px solid #ddd;*/
    }
    .megaMenu li span,
    .megaMenu li a {
        width:100%;
        font-size: var(--font-size-12);
        justify-content: center;
    }

    body.activeMobMenu {
        overflow: hidden;
    }
	
		.extraMenu li.mobMenuBtn {
		display: unset;
	}
	
}

.login .login-badge {
	position:absolute;
	top: 0px;
    right: 7px;
    width: 7px;
    height: 7px;
    border-radius: 10px;
    background-color: rgb(var(--acc-rgb));
}

.categorySearchSection {
	padding: 2rem 1rem;
	border-bottom: 2px solid rgb(var(--gray-rgb));
}

.categorySearchSection .categories-list-simple {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
	row-gap:.5rem;
}

.categorySearchSection .categories-list-simple .category-list-item a {
	display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: .5rem;
}

.categorySearchSection .categories-list-simple .category-list-item a:before {
	content: "\F3D7";
    font-family: bootstrap-icons;
    font-size: 1.25rem;
    color: #EEB426;
}

@media (min-width:992px) {
.categorySearchSection {
	padding:2rem;
}
}


/* TEXT MENU HOOK */

 .menuWrap.layout-text .mwMenuCat {
    width:100%;
     min-height:100vh;
}


.menuWrap.layout-text .mwMenuCat .menuCatItems {
    min-height:100vh;
}

.menuWrap.layout-text .menutText-bg {
    width:20%;
    display:flex;
    min-height:100vh;
    background-position: center center;
    background-size: cover;
}

.menuWrap.layout-text .menutText-bg .mwMenuCatTitle {
    display:flex;
    align-items:center;
    justify-content: center;
    width:100%;
    min-height: 100%;
    color:rgb(var(--acc-rgb));
}

.menuWrap.layout-text .menutText-bg .mwMenuCatTitle:hover {
    text-decoration:underline;
}

.menuWrap.layout-text .menuText-links {
    width: 80%;
    display: flex;
    min-height: 100vh;
    align-items: flex-start;
    padding:150px 2rem 2rem 2rem;
}

.menuWrap.layout-text .menuTextCol {
    display:flex;
    flex-direction: column;
    padding:0 2rem 2rem 2rem;
    width:100%;
}
.menuWrap.layout-text a:hover {
    text-decoration: underline;
}


.menuWrap.layout-text .menuTextCol .menuTextColTitle {
    font-weight: 500;
    margin-bottom:2rem;
}

@media (max-width: 1024px) {

    .menuWrap.layout-text .mwMenuCat .menuCatItems {
        flex-direction: column;
    }

    .menuWrap.layout-text .mwMenuCat .mwMenuCatTitle {
        font-size:var(--font-size-12) !important;
        margin:1rem 0;
        color:rgb(var(--acc-text));
        font-weight: 500;
    }

    .menuWrap.layout-text .menutText-bg {
        width:100%;
        min-height:auto;
        margin-bottom:1rem;
        background-image: none !important;
        background-color: rgb(var(--light-rgb));
        border-bottom:1px solid rgb(var(--acc-text));
    }

    .menuWrap.layout-text .menuText-links {
       min-height: auto;
        padding:1rem 0;
        flex-direction: column;
    }

    .menuWrap.layout-text .menuTextCol {
        font-size:var(--font-size-12);
    }

    .menuCustom .menuWrap.layout-image .mwMenuCat {

        padding-top: 3rem;
    }
}

